Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)

From: [email-masked]
Date: Thu, 27 Oct 2022 15:33:48 +0200 (CEST)

Yes, this is happening on emacs 29.
what I did was the following:
git clone git://git.savannah.gnu.org/emacs.git <http://git.savannah.gnu.org/emacs.git> emacs-debug
cd emacs-debug
./autogen.sh
./configure CFLAGS="-O0 -g3" && make -j5 CFLAGS="-O0 -g3"
make install PREFIX=/usr/local.
rm -rvf ~/.config/emacs && git clone --depth=1 https://github.com/doomemacs/doomemacs ~/.config/emacs && ~/.config/emacs/bin/doom install && ~/.config/emacs/bin/doom sync
note: ~/.config/ because I've set $EMACSDIR.
this is what I did in a nutshell. if you need to reproduce what I did even more you can have my configuration for doom emacs; put it in $DOOMDIR (defaults to ~/.doom.d)
https://termbin.com/hgkv
https://termbin.com/jr3gm

sorry if they're messy but i'm working on those.
Thanks a million.

Oct 27, 2022, 3:22 PM by [email-masked]:

>> Date: Thu, 27 Oct 2022 12:05:41 +0200 (CEST)
>> From: [email-masked]
>> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
>>  [email-masked]
>>
>> well, I'm sorry to have to open the bug again, but it's happening again.
>>
>
> With Emacs 29?
>
>> usual deal, log attached and mirrored. 
>> to be noted: I was testing if this was an EXWM thing, but it is not, although it's strange:
>> I started emacs, m-x telega, all good. C-x C-c, fired emacs once again, started telega, crash. I have
>> recompiled emacs with the appropriate CFLAGS, hope this time I did it right.
>>
>
> Thanks, but if this is Emacs 29, I need a reproduction recipe to run
> on my machine.  I cannot debug this without being able to reproduce it
> here.  Sorry.
>